=== debian/changelog ===
openstack-trove (1:18.0.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 15:18:38 +0200

openstack-trove (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 11:11:43 +0200

openstack-trove (1:18.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:04:59 +0200

openstack-trove (1:18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-importing-from-collections.patch applied upstream.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 15:14:43 +0200

openstack-trove (1:17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:52:30 +0200

openstack-trove (1:17.0.0~rc2-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream RC release.
  * Remove autopkgtest which is failing.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2022 10:54:07 +0200

openstack-trove (1:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Add fix-importing-from-collections.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 22:06:24 +0100

openstack-trove (1:16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:58:20 +0200

openstack-trove (1:16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:22:48 +0200

openstack-trove (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 11:37:53 +0200

openstack-trove (1:15.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:29:45 +0200

openstack-trove (1:15.0.0-2) experimental; urgency=medium

  * Do not call "pkgos_write_new_conf trove trove-guestagent.conf".

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Apr 2021 20:51:17 +0200

openstack-trove (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:48:47 +0200

openstack-trove (1:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fix generating config file and policy file at build time.
  * Removed now useless fix-default-sql_connection-directive.patch.
  * Removed use-realpath-function-to-find-my.cnf-in-debian.patch.
  * Removed trove-common.install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 15:23:46 +0100

openstack-trove (1:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:24:31 +0200

openstack-trove (1:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 02:22:34 +0200

openstack-trove (1:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 18:40:51 +0200

openstack-trove (1:12.0.0-3) unstable; urgency=medium

  * Fix postinst to not fail on non existing configs
  * trove-{conductor,taskmanager} now using common config
    trove.conf as it was changed in upstream

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 24 Feb 2020 14:27:36 +0100

openstack-trove (1:12.0.0-2) unstable; urgency=medium

  * Rebuild with close bug. (Closes: #895640)

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 17 Feb 2020 13:39:11 +0100

openstack-trove (1:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Michal Arbet ]
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 14 Feb 2020 11:38:32 +0100

openstack-trove (1:11.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Removed Breaks+Replaces: python-trove, after Buster is released.
  * Added oslo.upgradecheck as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Mar 2019 10:58:45 +0100

openstack-trove (1:10.0.0-3) unstable; urgency=medium

  * Call pkgos_rabbit_write_conf only once (Closes: #902023).

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Sep 2018 23:18:18 +0200

openstack-trove (1:10.0.0-2) unstable; urgency=medium

  * Also install db migration script correctly.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Sep 2018 23:00:30 +0200

openstack-trove (1:10.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Fixed startup description.
  * New upstream release:
    - Fixes FTBFS: test failures (Closes: #895640).
  * Fixed (build-)depends for this release.
  * Removed Fix_guestagent.test_operating_system_for_Python3.patch applied
    upstream, refresh other patches.
  * d/rules: rm -rf $(CURDIR)/debian/tmp/usr/etc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 17:07:44 +0200
