## openstack-trove 19.0.0

=== debian/changelog ===
openstack-trove (2:19.0.0-0ubuntu5) lunar; urgency=medium

  * d/t/trove-daemons: Drop verbose bash commands and restore lower sleep
    length. It appears verbose bash commands are causing the test to fail.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 18 Apr 2023 08:20:26 -0400

openstack-trove (2:19.0.0-0ubuntu4) lunar; urgency=medium

  * d/t/trove-daemons: Restore stdout/stderr redirections for db_sync as
    the tests appear to fail only due to the output.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Apr 2023 08:43:35 -0400

openstack-trove (2:19.0.0-0ubuntu3) lunar; urgency=medium

  * d/p/use-getfullargspec.patch: Restore patch to fix trove-manage db sync
    failure with getargspec (LP: #2003974).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Apr 2023 09:08:32 -0400

openstack-trove (2:19.0.0-0ubuntu2) lunar; urgency=medium

  * d/t/trove-daemons: Expose stderr for db_sync and retry a second time
    on failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Mar 2023 09:46:14 -0400

openstack-trove (2:19.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:17:12 -0400

openstack-trove (2:18.0.0+git2023030309.2fbbb09d-0ubuntu3) lunar; urgency=medium

  * d/t/trove-daemons: Run autopkgtest with verbose commands.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Mar 2023 08:44:14 -0400

openstack-trove (2:18.0.0+git2023030309.2fbbb09d-0ubuntu2) lunar; urgency=medium

  * d/t/trove-daemons: Bump sleep to 0.5

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Mar 2023 10:07:17 -0400

openstack-trove (2:18.0.0+git2023030309.2fbbb09d-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:45:34 -0500

openstack-trove (2:18.0.0+git2023011209.1d8231d3-0ubuntu2) lunar; urgency=medium

  * Fix test failures with Python 3.11 (LP: #2003974).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 30 Jan 2023 12:50:17 -0600

openstack-trove (2:18.0.0+git2023011209.1d8231d3-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 09:21:38 -0500

openstack-trove (2:18.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 18.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:40:35 -0400

openstack-trove (2:17.0.0+git2022091213.6e4dd51c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:48:11 -0400

openstack-trove (2:17.0.0+git2022071414.13db5b37-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:48:17 -0400

openstack-trove (2:17.0.0+git2022060610.b36d0b23-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/p/switch-to-collections-abc-mapping.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:24:57 -0400
