=== debian/control ===
--- 
+++ 
@@ -1,152 +1,167 @@
 Source: openstack-trove
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  bandit,
  iproute2,
  net-tools,
- python3-cassandra,
- python3-cinderclient,
- python3-coverage,
- python3-cryptography,
- python3-designateclient,
- python3-diskimage-builder,
- python3-docker,
- python3-eventlet,
- python3-glanceclient,
+ python3-astroid (>= 1.6.5),
+ python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
+ python3-cassandra (>= 2.1.4),
+ python3-cinderclient (>= 1:3.3.0),
+ python3-coverage (>= 4.0),
+ python3-cryptography (>= 2.1.4),
+ python3-designateclient (>= 2.7.0),
+ python3-diskimage-builder (>= 1.1.2),
+ python3-doc8,
+ python3-docker (>= 4.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-glanceclient (>= 1:2.8.0),
  python3-hacking,
- python3-heatclient,
- python3-httplib2,
- python3-iso8601,
- python3-jinja2,
- python3-jsonschema,
- python3-keystoneclient,
- python3-keystonemiddleware,
- python3-lxml,
- python3-migrate,
- python3-mock,
- python3-netaddr,
- python3-neutronclient,
- python3-nose,
- python3-nosexcover,
- python3-novaclient,
- python3-openstack.nose-plugin,
- python3-openstackdocstheme,
- python3-os-api-ref,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
+ python3-heatclient (>= 1.10.0),
+ python3-httplib2 (>= 0.9.1),
+ python3-iso8601 (>= 0.1.11),
+ python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-migrate (>= 0.11.0),
+ python3-mock (>= 2.0.0),
+ python3-mox3 (>= 0.20.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-nose (>= 1.3.7),
+ python3-nosexcover (>= 1.0.10),
+ python3-novaclient (>= 2:9.1.0),
+ python3-openstack.nose-plugin (>= 0.7),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:4.0.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
- python3-oslo.serialization,
- python3-oslo.service,
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
- python3-oslotest,
- python3-osprofiler,
- python3-passlib,
- python3-paste,
- python3-pastedeploy,
+ python3-oslo.utils (>= 3.40.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-passlib (>= 1.7.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
  python3-pep8,
- python3-pexpect,
- python3-proboscis,
- python3-psycopg2,
- python3-pymongo,
- python3-pymysql,
- python3-redis,
- python3-routes,
- python3-semantic-version,
- python3-sqlalchemy,
- python3-stestr,
- python3-stevedore,
- python3-swiftclient,
- python3-tenacity,
- python3-testtools,
- python3-troveclient,
- python3-webob,
- python3-webtest,
- python3-wsgi-intercept,
- python3-xmltodict,
+ python3-pexpect (>= 3.1),
+ python3-proboscis (>= 1.2.5.3),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymongo (>= 3.0.2),
+ python3-pymysql (>= 0.7.6),
+ python3-redis (>= 2.10.0),
+ python3-routes (>= 2.3.1),
+ python3-semantic-version (>= 2.7.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stestr (>= 1.1.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-tenacity (>= 4.9.0),
+ python3-testtools (>= 2.2.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-webob (>= 1:1.7.1),
+ python3-webtest (>= 2.0.27),
+ python3-wsgi-intercept (>= 1.4.1),
+ python3-xmltodict (>= 0.10.1),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/openstack-trove
-Vcs-Git: https://salsa.debian.org/openstack-team/services/openstack-trove.git
-Homepage: https://github.com/openstack/trove
+ testrepository,
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/openstack-trove
+Homepage: https://opendev.org/openstack/trove
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-trove
 Architecture: all
 Section: python
 Depends:
  e2fsprogs,
- python3-cinderclient,
- python3-cryptography,
- python3-designateclient,
- python3-diskimage-builder,
- python3-docker,
- python3-eventlet,
- python3-glanceclient,
- python3-heatclient,
- python3-httplib2,
- python3-iso8601,
- python3-jinja2,
- python3-jsonschema,
- python3-keystoneclient,
- python3-keystonemiddleware,
- python3-lxml,
- python3-migrate,
- python3-netaddr,
- python3-neutronclient,
- python3-novaclient,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.db,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.middleware,
+ python3-babel (>= 2.3.4),
+ python3-cinderclient (>= 1:3.3.0),
+ python3-cryptography (>= 2.1.4),
+ python3-designateclient (>= 2.7.0),
+ python3-diskimage-builder (>= 1.1.2),
+ python3-docker (>= 4.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-heatclient (>= 1.10.0),
+ python3-httplib2 (>= 0.9.1),
+ python3-iso8601 (>= 0.1.11),
+ python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-migrate (>= 0.11.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:9.1.0),
+ python3-openstackclient,
+ python3-oslo.cache (>= 1.26.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:6.8.0),
+ python3-oslo.context (>= 1:4.0.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
- python3-oslo.serialization,
- python3-oslo.service,
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
- python3-osprofiler,
- python3-passlib,
- python3-paste,
- python3-pastedeploy,
- python3-pbr,
- python3-pexpect,
- python3-pymysql,
- python3-routes,
- python3-semantic-version,
- python3-sqlalchemy,
- python3-stevedore,
- python3-swiftclient,
- python3-troveclient,
- python3-webob,
- python3-xmltodict,
+ python3-oslo.utils (>= 3.40.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-passlib (>= 1.7.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-pexpect (>= 3.1),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql (>= 0.7.6),
+ python3-routes (>= 2.3.1),
+ python3-semantic-version (>= 2.7.0),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-webob (>= 1:1.7.1),
+ python3-xmltodict (>= 0.10.1),
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:
  python3-cjson,
-Description: Database as a Service for OpenStack - Python lib
+Description: Database as a Service for OpenStack - Python 3 lib
  Trove is "Database as a Service" for Openstack. It's designed to allow users
  to quickly and easily utilize the features of a relational database without
  the burden of handling complex administrative tasks.
@@ -159,18 +174,16 @@
  Nova is configured, since Trove interacts with other OpenStack components
  purely through the API.
  .
- This package provides the Trove Python library.
+ This package provides the Trove Python 3 library.
 
 Package: trove-api
 Architecture: all
 Depends:
  adduser,
  lsb-base,
- python3-openstackclient,
  q-text-as-data,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - API server
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -196,7 +209,6 @@
  python3-trove (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - common files
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -219,7 +231,6 @@
  lsb-base,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - conductor
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -263,7 +274,6 @@
  lsb-base,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - guest agent
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -289,7 +299,6 @@
  lsb-base,
  trove-common (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
 Description: Database as a Service for OpenStack - taskmanager
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -298,11 +307,3 @@
  and manage multiple database instances as needed. Initially, the service will
  focus on providing resource isolation at high performance while automating
  complex administrative tasks including deployment, configuration, patching,
- backups, restores, and monitoring. Trove is designed to support a
- single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .
- This package provides the Trove taskmanager. The trove-taskmanager service
- does the heavy lifting as far as provisioning instances, managing the
- lifecycle of instances, and performing operations on the Database instance.
